diff --git a/tests/Iberia_n48/run.def b/tests/Iberia_n48/run.def
index 6cafae4b1e0d80aadcbe108c9bf3fbd953e31be9..9ef68a4daf869b299c4724cddbdf5983b367c185 100644
--- a/tests/Iberia_n48/run.def
+++ b/tests/Iberia_n48/run.def
@@ -15,7 +15,7 @@ Documentation = true
 #
 # Configuration for the graph to be generated
 #
-nbasmax = 80
+nbasmax = 35
 #
 # Number of operation of simplification performed together
 #
diff --git a/tests/Pantanal_n48/BuildHTUs_Pantanal.pbs b/tests/Pantanal_n48/BuildHTUs_Pantanal.pbs
new file mode 100644
index 0000000000000000000000000000000000000000..057d3a83beeab8dd6ba767061c0944e95fa96eb7
--- /dev/null
+++ b/tests/Pantanal_n48/BuildHTUs_Pantanal.pbs
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+#PBS -N BuildHTUs_P
+#
+#PBS -j oe
+#PBS -l nodes=1:ppn=48
+#PBS -l walltime=128:00:00
+#PBS -l mem=180gb
+#PBS -l vmem=180gb
+#
+cd ${PBS_O_WORKDIR}
+export NSLOTS=$(($PBS_NUM_NODES*$PBS_NUM_PPN))
+#
+# Set the right Python 3 Anaconda environment
+#
+source ../../Environment
+#
+# Clean-up. Weights are kept for future runs.
+#
+/bin/rm -f DocumentationInterface *.nc *.txt
+#
+# Run the Python code to generate the HTUs and write them into a netCDF file.
+#
+mpirun -n ${NSLOTS} python ../../RoutingPreProc.py
+if [ $? -gt 0 ] ; then
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+    echo "X    Run on Iberian Peninsula failed    X"
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+else
+    echo "======================================="
+    echo "= Run on Iberian Peninsula successful ="
+    echo "======================================="
+fi
+#
+ls -l
diff --git a/tests/Pantanal_n48/run.def b/tests/Pantanal_n48/run.def
new file mode 100644
index 0000000000000000000000000000000000000000..e14dbab5a1cbcb90ae6e0ac87da8e865d34fe6de
--- /dev/null
+++ b/tests/Pantanal_n48/run.def
@@ -0,0 +1,32 @@
+[OverAll]
+#
+#
+#
+EarthRadius = 6370000.
+#
+ModelGridFile = /bdd/MEDI/workspaces/polcher/WRF_Forcing/AmSud-A/geo_em.d01.nc
+WEST_EAST = -66.75, -52.25
+SOUTH_NORTH = -23.5, -13.5
+HydroFile = /homedata/aschrapffer/RoutingNc_AS/SouthAmerica_FP/routing.nc
+#
+# FORTRAN interface parameters
+#
+Documentation = true
+#
+# Configuration for the graph to be generated
+#
+nbasmax = 35
+#
+# Number of operation of simplification performed together
+#
+numop = 100
+#
+# Output
+#
+GraphFile = AmSud_A_Pantanal_graph.nc
+#
+# Diagnostics
+# You need to provide an interval in longitude and Latitude.
+#
+DiagLon = 3.9, 3.9
+DiagLat = 40.0, 40.0
diff --git a/tests/Pantanal_n48_regular/BuildHTUs_Pantanal.pbs b/tests/Pantanal_n48_regular/BuildHTUs_Pantanal.pbs
index 57016f0b37acc5bd3190f7a3c363c0f2cec679ac..ae26af83c2e43ee4afa26f35834e987ef27dde59 100644
--- a/tests/Pantanal_n48_regular/BuildHTUs_Pantanal.pbs
+++ b/tests/Pantanal_n48_regular/BuildHTUs_Pantanal.pbs
@@ -5,8 +5,8 @@
 #PBS -j oe
 #PBS -l nodes=1:ppn=48
 #PBS -l walltime=128:00:00
-#PBS -l mem=252gb
-#PBS -l vmem=252gb
+#PBS -l mem=240gb
+#PBS -l vmem=240gb
 #
 cd ${PBS_O_WORKDIR}
 export NSLOTS=$(($PBS_NUM_NODES*$PBS_NUM_PPN))
diff --git a/tests/Pantanal_n48_regular/run.def b/tests/Pantanal_n48_regular/run.def
index 18671c0534e42928b932fa9e534cbb28bd52609f..6b4d1d4348c1b3a3a472057450bff21ca3d81043 100644
--- a/tests/Pantanal_n48_regular/run.def
+++ b/tests/Pantanal_n48_regular/run.def
@@ -15,11 +15,11 @@ Documentation = true
 #
 # Configuration for the graph to be generated
 #
-nbasmax = 50
+nbasmax = 35
 #
 # Number of operation of simplification performed together
 #
-numop = 200
+numop = 50
 #
 # Output
 #